package ecoparasite.input;

/**
 * Est déclenché si une erreur est survenue lors de la lecture d'un fichier.
 */
public class InputFileException extends Exception {

    final private String dataFilePath;

    public InputFileException(String dataFilePath) {
        this.dataFilePath = dataFilePath;
    }

    @Override
    public String getMessage(){
        return "Une erreur a été déclenché durant la lecture du fichier d'entrée : " + dataFilePath;
    }

}
